Bug 116116 - Custom Properties: first row too close to header bar
Summary: Custom Properties: first row too close to header bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: File-Properties
  Show dependency treegraph
 
Reported: 2018-03-01 14:46 UTC by Thomas Lendo
Modified: 2018-03-09 02:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Distance between header and first property row (LO 6.1 vs. 3.3.0) (34.73 KB, image/png)
2018-03-01 14:46 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-03-01 14:46:13 UTC
Created attachment 140251 [details]
Distance between header and first property row (LO 6.1 vs. 3.3.0)

STR:
1. Open or create a document.
2. Open menu File > Properties... > Custom Properties.
3. Add a property.

Actual result:
The row of the first property is too close to the header bar above.


Version: 6.1.0.0.alpha0+ (x64)
Build ID: d64ce643275e0b2b0dea9e532fc261391dc8793c
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-01_03:24:30
Locale: de-AT (de_AT); Calc: CL

Version: 5.4.3.2 (x64)
Build-ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU-Threads: 8; Betriebssystem:Windows 6.19; UI-Render: GL; 
Gebietsschema: de-AT (de_AT); Calc: group
Comment 1 Xisco Faulí 2018-03-02 10:37:50 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-08-29 16:27:31 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2017-08-30 20:12:33 +0200
commit	14afb688d3a24be302867ea614b0e30e01d168be (patch)
tree	a41fe590bf98a43690e67e2a813836c54fd5b817
parent	a2f2a40e37aadc0a32435a33402a21a678464ba4 (diff)
Resolves: tdf#95960 improve custom properties page
wrt widget heights and positions and other flakiness

take the natural combobox height as the line height, use a vclgrid
element for each row to get everything set to the same height

move the positioning code into Resize, etc.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2018-03-07 13:09:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29e89925093f2c143fab675310b2533ed720a9ae

Resolves: tdf#116116 vertically center line in allocated height

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-03-07 22:16:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97b65102db4b1e8f95faf08521329da37cc3f2ec&h=libreoffice-6-0

Resolves: tdf#116116 vertically center line in allocated height

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.